Bug 44134 - Using the new STDEV.M and STDEV.P formulas in MS Excel 2010 results in errors in LibreOffice.
Summary: Using the new STDEV.M and STDEV.P formulas in MS Excel 2010 results in errors...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: x86-64 (AMD64) Linux (All)
: medium enhancement
Assignee: Winfried Donkers
QA Contact:
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks: 70798
  Show dependency treegraph
 
Reported: 2011-12-24 20:46 UTC by Gorka Navarrete
Modified: 2013-10-30 19:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Excel 2010 file showing the error (7.00 KB, application/vnd.ms-excel)
2011-12-24 20:46 UTC, Gorka Navarrete
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gorka Navarrete 2011-12-24 20:46:09 UTC
Created attachment 54804 [details]
Excel 2010 file showing the error

The new STDEV.M and STDEV.P formulas in MS Excel 2010 (Spanish Version) are not recognized in LibreOffice.

If you create a file in MS Excel 2010 using STDEV.M and STDEV.P formulas and then open that file with LibreOffice, instead of the expected result, it gives a #MACRO? error.

See the results for all the available STDEV functions:

RESULT	 FORMULA MS Excel 2010	RESULTING FORMULA LibreOffice
#MACRO?	 DESVEST.M(F2:F7)	_xlfn.STDEV.S(F2:F7)
#MACRO?	 DESVEST.P(F2:F7)	_xlfn.STDEV.P(F2:F7)
1.87082  DESVEST(F2:F7)	        STDEVA(F2:F7)
1.70782	 DESVESTPA(F2:F7)	STDEVPA(F2:F7)
1.87082	 DESVEST(F2:F7)	        STDEV(F2:F7)

It happens with both .xls and .xlsx file formats.
Comment 1 Regina Henschel 2011-12-29 14:05:05 UTC
Yes, they are not implemented yet. There are more Excel functions missing. Find some comments in http://wiki.services.openoffice.org/wiki/Calc/Drafts/Treatment_of_new_Excel_2010_functions
Comment 2 Commit Notification 2013-10-25 13:18:36 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a122d1e61278debe7e386e3d9f442e68eddba9b

fdo#44134 adding Excel 2010 functions STDEV.P and STDEV.S



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-10-30 19:17:34 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a660262e9d1d06f4c0c6c99063e5a966e64d6d6

fdo#44134 fix omission in support of Excel 2010



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.